Bug 41289 - Shift-Enter produces ^[OM character on Dell QuietKey KB
Shift-Enter produces ^[OM character on Dell QuietKey KB
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-18 10:44 EDT by Bill Wichser
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 16:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Wichser 2001-05-18 10:44:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Incident Number: 178492

Pressing Shift-Enter on a Dell QuietKey keyboard produces the control
sequence  ^[OM instead of an Enter.  Enter works fine without being
shifted.  The numeric Enter key  works fine both ways.  New keyboard
changes nothing.  PC is Dell Dimension XPS T550



How reproducible:
Always

Steps to Reproduce:
1. login using KDE
2.
3.
	

Expected Results:  Shift-Enter should produce an Enter instead of control
sequence

Additional info:
Comment 1 Arjan van de Ven 2001-05-18 10:54:09 EDT
Is this in X or on the console ?
Comment 2 Bill Wichser 2001-05-18 11:26:35 EDT
Bug is only in a kconsole window and only occurs when settings->keyboard point
to the xterm (XFree 4.x.x).  Solution is to simply choose a different keyboard
mapping.
Comment 3 Arjan van de Ven 2001-05-18 11:30:12 EDT
Sounds like a kterm bug, not a kernel bug
Comment 4 Nakai 2001-06-08 03:58:36 EDT
konsole (KDE console) is not kterm (Kanji xterm)

Reassign to kdebase owner.
Comment 5 Ngo Than 2002-10-17 08:48:42 EDT
It should be fixed in 3.0.4-2 or newer.

Additional info:
you have update to 8.0 before if you want to install something from rawhide.

Note You need to log in before you can comment on or make changes to this bug.